> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Carrier Credentials

> Updates existing carrier credentials. See <a href="/pages/shipping-carriers-api-overview">this guide</a> for details about the fields that are required for each carrier.



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json put /commerce/shipping/admin/carriers/credentials/{carrierId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/carriers/credentials/{carrierId}:
    put:
      tags:
        - CarrierCredential
      summary: Update Carrier Credentials
      description: >-
        Updates existing carrier credentials. See <a
        href="/pages/shipping-carriers-api-overview">this guide</a> for details
        about the fields that are required for each carrier.
      parameters:
        - description: The carrier ID.
          in: path
          name: carrierId
          required: true
          schema:
            type: string
        - description: The site ID, if any.
          in: query
          name: siteId
          schema:
            format: int32
            type: integer
        - description: The location group code, if any.
          in: query
          name: locationGroupCode
          schema:
            type: string
        - description: The location code, if any.
          in: query
          name: locationCode
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CarrierCredential'
        description: The carrier credential data.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierCredential'
            text/json:
              schema:
                $ref: '#/components/schemas/CarrierCredential'
            text/plain:
              schema:
                $ref: '#/components/schemas/CarrierCredential'
          description: Success
components:
  schemas:
    CarrierCredential:
      description: "Stores a reference to a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSet for use at different levels.\r\nValid levels include Site, Location Group, and Location. Different levels may be used for rates versus labels.\r\nSite level is overriden by Location Group level which is overriden by Location level."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        carrierId:
          description: "The Carrier ID associated with this carrier credential.\r\nUsually the short name of a carrier (e.g., \"FedEx\")."
          nullable: true
          type: string
        credentialSet:
          $ref: '#/components/schemas/CarrierCredentialSet'
        locationCode:
          description: The Location Code associated with this carrier credential, if any.
          nullable: true
          type: string
        locationGroupCode:
          description: >-
            The Location Group Code associated with this carrier credential, if
            any.
          nullable: true
          type: string
        siteId:
          description: The Site ID associated with this carrier credential, if any.
          format: int32
          nullable: true
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CarrierCredentialSet:
      description: "Stores a set of <see cref=\"T:Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredentialSetValue\">carrier credential key-value pairs</see>.\r\nSets are stored at the tenant level and referenced by a Mozu.ShippingAdmin.Contracts.Carriers.CarrierCredential."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        carrierId:
          description: "The Carrier ID associated with this credential set.\r\nUsually the short name of a carrier (e.g., \"FedEx\")."
          nullable: true
          type: string
        code:
          description: "A unique code identifying this credential set.\r\nThe code is only guaranteed to be unique at the tenant and carrier level."
          nullable: true
          type: string
        integrationId:
          description: Specifies the ID returned from an integration.
          nullable: true
          type: string
        name:
          description: A name (i.e., nickname) for this credential set.
          nullable: true
          type: string
        values:
          description: A collection of values contained in this credential set.
          items:
            $ref: '#/components/schemas/CarrierCredentialSetValue'
          nullable: true
          type: array
      type: object
    CarrierCredentialSetValue:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````